package main

import (
	"log"
	"net/http"

	"git.snrd.de/Spaenny/goddit/postgres"
	"git.snrd.de/Spaenny/goddit/web"
)

func main() {
	dsn := "postgres://postgres:secret@localhost/postgres?sslmode=disable"

	store, err := postgres.NewStore(dsn)
	if err != nil {
		log.Fatal(err)
	}

	sessions, err := web.NewSessionsManager(dsn)
	if err != nil {
		log.Fatal(err)
	}

	csrfKey := []byte("dmwij82jda92jf9a202na#d2.e3i!824")
	h := web.NewHandler(store, sessions, csrfKey)
	http.ListenAndServe(":3000", h)
}
